<?php

class Profile {
    
    private $forename, $surname, $othernames, $description, $website;
    
    public function __construct($forename, $surname, $description, $website, $othernames = '') {
        $this->forename = $forename;
        $this->surname = $surname;
        $this->description = $description;
        $this->othernames = $othernames;
        $this->website = $website;
    }
    
    public function returnFullName() {
        $fullname = $this->forename;
        if(strlen($this->othernames) > 0) {
            $fullname .= ' '.$this->othernames;
        }
        $fullname .= ' '.$this->surname;
        
        return $fullname;
    }

}

