<?php
require_once 'profile-full.php';

class Band extends Profile {
    protected $bandname, $bandmembers;
    
    public function __construct($bandname, $description, $website, $bandmembers) {
        $this->bandname = $bandname;
        $this->description = $description;
        $this->website = $website;
        foreach($bandmembers as $key => $value) {
            $this->bandmembers[$key] = new Profile($value['forename'], $value['surname'], $value['description'], $value['website'], $value['othernames']);
        }
    }
    
    public function returnFullName() {
        return $this->bandname;
    }
    
    public function returnBandmembers() {
        return $this->bandmembers;
    }
}
